1. modul
LeksiGo v2
  • auth
    • login
      POST
    • register
      POST
    • logout
      POST
    • refresh token
      POST
  • child
    • get [parent]
      GET
    • post [parent]
      POST
    • get [insitution]
      GET
    • put [parent]
      PUT
    • delete [parent]
      DELETE
  • users [admin]
    • get
      GET
    • post
      POST
    • show
      GET
    • put
      PUT
    • delete
      DELETE
  • institution
    • get
      GET
    • post [admin]
      POST
    • show
      GET
    • updateStatus
      PATCH
    • get applicants [institution]
      GET
    • apply applicants [institution]
      POST
  • teacher [institution]
    • get
    • post
    • put
    • updateStatus
  • playground
    • teacher
      • course
        • store
        • get
        • show
        • put
        • active status
      • modul
        • post
          POST
        • put
          PUT
        • active status
          PATCH
        • show
          GET
    • student
      • submit answer
  • generate
    • question sugesstion
  1. modul

put

Developing
PUT
/playgrounds/{playgroundId}/module/{moduleId}

Request

Path Params

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff --request PUT 'https://api.leksigo.com/api/v2/playgrounds/{{playgroundId}}/module/{{moduleId}}' \
--header 'Authorization: Bearer {{accessToken}}' \
--header 'Content-Type: application/json' \
--data '{
    "type": 2,
    "title": "Judul latihan assessment edited",
    "point": "65",
    "questions": [
        {
            "method": "1",
            "question": "Pertanyaan Baru pertama DieEdit",
            "key": "Jawaban A"
        },
        {
            "method": "1",
            "question": "Tambah pertanyaan baru di list ini",
            "key": "Jawaban B"
        }
    ]
}'
Response Response Example
Exception
{
    "success": false,
    "message": "Validation error",
    "errors": {
        "content": "Harap masukan konten materi modul"
    }
}
Modified at 2026-07-28 13:46:49
Previous
post
Next
active status
Built with